<!DOCTYPE html>
<html>
<head>
<script src="jquery.min.js"></script>
<script src="raphael.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/svg.js/2.3.6/svg.js"></script>
<script src="svg.draw.js"></script>
<!-- <script src="custom.js"></script> -->
	<title></title>
</head>
<body>
<div id="canvas_container" style="width: 80%; height: 1000px; background-color: #ffe6b3;">
</div>

</body>
</html>

<script>
$(document).ready(function () {
	
alert("1");


// on va créer en raphael un tracé avec onmouse mousedown mouseup






//nouvelle svg dans #canvas_container de width = ... height = 1500
/*var dessin = new SVG('canvas_container').size(1000, 1500);
dessin.rect().draw() */  // Here we init a rectangle and start drawing it


var rectangle = new SVG('rect').size('100%', '100%')
            .rect().draw();

//on crée 2 polynomes 
/*var poly2 = new SVG('canvas_container').size('100%', '100%')
            .polygon().draw({snapToGrid:20});
            
        poly2.on('drawstart', function(e){
            document.addEventListener('keydown', function(e){
                if(e.keyCode == 13){
                    poly2.draw('done');
                    poly2.off('drawstart');
                }
            });
        });
        
        poly2.on('drawstop', function(){
            // remove listener
        });
      
 var poly3 = new SVG('canvas_container').size('100%', '100%')
            .polygon().draw({snapToGrid:20});
            
        poly3.on('drawstart', function(e){
            document.addEventListener('keydown', function(e){
                if(e.keyCode == 13){
                    poly3.draw('done');
                    poly3.off('drawstart');
                }
            });
        });
        
        poly3.on('drawstop', function(){
            // remove listener
        });*/


// Creates canvas 320 × 200 at 10, 50
/*var paper = Raphael(10, 0, 800, 800);*/
//(x : marginLeft du svg, marginTop y, longueur du svg, largeur du svg)

/*var paper = Raphael(document.getElementById('canvas_container'), 500, 500);
//var paper = Raphael("draw", 0, 0, 200, 400)
var r = paper.rect(0, 0, 500, 500)
//(x : position du rect sur le svg, y, longueur, largeur)

r.attr({
	fill: "#ffe6b3",
	cursor: "pointer",
});*/

});
</script>